package com.joyful.euphoria.board.environment.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "5C25F9904EF67322F495A33F1303DB12"
        const val TOP_ON_AD_TOW = "02E0F4693311CCA2990355F2BEF35E12"
        const val TOP_ON_AD_THREE = "5E4C791BFA1E30844C2FE209130B2912"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}